# frozen_string_literal: true

require 'test_helper'

describe BridgeAPI::Client::CourseTemplate do
  before do
    @client = BridgeAPI::Client.new(
      prefix: 'http://test.bridge.com', token: 'test_token'
    )
  end

  it 'should create an account' do
    templates = @client.create_account(
      sub_account: {
        locale: 'en',
        subdomain: 'subdomain',
        name: 'subdomain'
      }
    )
    expect(templates.status).to(eq(200))
  end

  it 'should update an account' do
    templates = @client.update_account(1)
    expect(templates.status).to(eq(200))
  end
end
