# frozen_string_literal: true

require 'test_helper'

describe BridgeAPI::Client::Enrollment do
  before do
    @client = BridgeAPI::Client.new(prefix: 'http://test.bridge.com', token: 'test_token')
  end

  it 'should add an enrollment' do
    response = @client.add_enrollment(1)
    expect(response.status).to(eq(204))
  end

  it 'should delete an enrollment' do
    response = @client.delete_enrollment(1)
    expect(response.status).to(eq(204))
  end

  it 'should update an enrollment' do
    enrollment = @client.update_enrollment(1)
    expect(enrollment.first['id']).to(eq('3'))
  end

  it 'should get all enrollments' do
    enrollments = @client.get_all_enrollments(1)
    expect(enrollments.length).to(eq(2))
  end

  it 'should reset an enrollment for a course template' do
    response = @client.reset_enrollment(1)
    expect(response.status).to(eq(204))
  end

  it 'should get all current learner enrollments' do
    learner_enrollments = @client.get_learner_enrollments(1)
    expect(learner_enrollments.length).to(eq(2))
  end
end
