# frozen_string_literal: true

require 'bridge_api'
require 'rspec'
require 'webmock/rspec'
require 'json'
require 'pry'
require 'mock_redis'

RSpec.configure do |config|
  Dir['./spec/support/**/*.rb'].sort.each { |f| require f }

  config.before(:each) do
    WebMock.disable_net_connect!
    WebMock.stub_request(:any, %r{api/.*}).to_rack(FakeBridge)
    $redis = MockRedis.new
    PaulWalker.redis = $redis
  end
end

def fixture(*file)
  File.new(File.join(File.expand_path('fixtures', __dir__), *file))
end
